#ifndef __ONCHANNELPAGE_H__
#define __ONCHANNELPAGE_H__

#include <qwidget.h>
#include <qbttngrp.h> 
#include <qgrpbox.h>
#include <qmlined.h>
#include <qlined.h>
#include <qlayout.h> 
#include <qchkbox.h> 
#include <qdict.h>
#include <qstrlist.h>
#include <qlabel.h>
#include <qradiobt.h> 
#include <qcombobox.h>
#include "kintegerline.h"
#include "ircClient.h"
#include <kconfig.h>

class OnChannelAction : public QWidget
{
  Q_OBJECT
protected:
  IrcClient* mClient;
  QLineEdit* mEditKick;
  QLineEdit* mEditBanType;
  QComboBox* mComboBanType;
  QStrList   mStrBanType;
protected:
  void createPage();
public:
  OnChannelAction(IrcClient* client, QWidget* parent=0L, const char* name=0L);
  ~OnChannelAction();
  void readConfig();
public slots:
  void slotApply();
  void slotBanTypeActivated(int idx);
};

class OnInvitePage : public QWidget
{
  Q_OBJECT
protected:
  IrcClient* client;
  QVBoxLayout* topLayout;
  QGridLayout* grid;
  QDict<QButtonGroup> btnGroup;
  QDict<QRadioButton> radioBtn;
  QStrList            actionText;
  QDict<QGroupBox>    groupBox;
  QStrList            configText;
  QDict<KIntegerLine> intLine;
public:
  OnInvitePage(IrcClient* Client, QWidget *parent = NULL, const char *name = NULL );
  ~OnInvitePage();
signals:
protected:
  void    Init();
  void    readConfig();
  void    createActionRadioBtn();
  void    createConfigBox();
  void    createPushButton();
protected slots:
  void slotApply();
  void slotCurrentPage(const char* page){
      if (!stricmp(page, name()))
	 readConfig();
  } 
};

class OnKickPage : public QWidget
{
  Q_OBJECT
protected:
  IrcClient* client;
  QVBoxLayout* topLayout;
  QGridLayout* grid;
  QDict<QButtonGroup> btnGroup;
  QDict<QRadioButton> radioBtn;
  QStrList            actionText;
  QDict<QGroupBox>    groupBox;
  QStrList            configText;
  QDict<KIntegerLine> intLine;
public:
  OnKickPage(IrcClient* Client, QWidget *parent = NULL, const char *name = NULL );
  ~OnKickPage();
signals:
protected:
  void    Init();
  void    readConfig();
  void    createActionRadioBtn();
  void    createConfigBox();
  void    createPushButton();
protected slots:
  void slotApply();
  void slotCurrentPage(const char* page){
      if (!stricmp(page, name()))
	 readConfig();
  } 
};

#endif

